[metadata]
name = colcon-cd
version = attr: colcon_cd.__version__
url = https://colcon.readthedocs.io
project_urls =
    Changelog = https://github.com/colcon/colcon-cd/milestones?direction=desc&sort=due_date&state=closed
    GitHub = https://github.com/colcon/colcon-cd/
author = Dirk Thomas
author_email = web@dirk-thomas.net
maintainer = Dirk Thomas
maintainer_email = web@dirk-thomas.net
classifiers =
    Development Status :: 3 - Alpha
    Environment :: Plugins
    Intended Audience :: Developers
    License :: OSI Approved :: Apache Software License
    Operating System :: MacOS
    Operating System :: POSIX
    Programming Language :: Python
    Topic :: Software Development :: Build Tools
license = Apache License, Version 2.0
description = A shell function for colcon to change the current working directory.
long_description = file: README.rst
keywords = colcon

[options]
install_requires =
  colcon-core>=0.4.1
  colcon-package-information
packages = find:
tests_require =
  flake8
  flake8-blind-except
  flake8-builtins
  flake8-class-newline
  flake8-comprehensions
  flake8-deprecated
  flake8-docstrings
  flake8-import-order
  flake8-quotes
  pep8-naming
  pylint
  pytest
  pytest-cov
  scspell3k>=2.2
zip_safe = true

[options.data_files]
# distutils replaces dashes in keys with underscores
share/colcon_cd/function =
    function/colcon_cd.sh

[tool:pytest]
filterwarnings =
    error
junit_suite_name = colcon-cd

[options.entry_points]
colcon_core.extension_point =
    _colcon_cd = colcon_cd:NonFunctionalExtensionPoint

[flake8]
import-order-style = google
